
%define name	x11-driver-video-nouveau
%define upname	xf86-video-nouveau
%define version	0
%define snapshot	20080912
%define rel	1

%define release %mkrel 0.%snapshot.%rel

Name:		%name
Version:	%version
Release:	%release
Summary:	The experimental X.org driver for NVIDIA cards
Group:		System/X11
URL:		http://nouveau.freedesktop.org/
# rm -rf xf86-video-nouveau && git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau/ && cd xf86-video-nouveau/
# git archive --prefix=xf86-video-nouveau-$(date +%Y%m%d)/ --format=tar HEAD | bzip2 > ../xf86-video-nouveau-$(date +%Y%m%d).tar.bz2
Source:		%{upname}-%{snapshot}.tar.bz2
# (Anssi 05/2008) Do not fail on unknown LVDS bits if the bits are those that
# have already been reported here: http://bugs.freedesktop.org/show_bug.cgi?id=15502
Patch0:		nouveau-skip-failing-on-reported-bits.patch
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	drm-nouveau-devel
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-server-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	GL-devel
Conflicts: xorg-x11-server < 7.0
Requires: kmod(nouveau)

%description
x11-driver-video-nouveau is the experimental X.org driver for NVIDIA cards.

The nouveau kernel module is also required, available in package
dkms-drm-experimental.

%prep
%setup -q -n %{upname}-%{snapshot}
%patch0 -p1

%build
autoreconf -v --install
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/nouveau_drv.la
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*



%changelog
* Fri Sep 12 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080912.1mdv2009.0
+ Revision: 284259
- new snapshot

* Thu Jun 05 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080605.1mdv2009.0
+ Revision: 215170
- new snapshot
- do not force failure on those unknown LVDS bits that have been reported
  already

  + Thierry Vignaud <tvignaud@mandriva.com>
    - improved description
    - add missing dot at end of description

* Fri May 09 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080509.1mdv2009.0
+ Revision: 204767
- new snapshot

* Thu May 01 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080501.1mdv2009.0
+ Revision: 199905
- new snapshot

* Tue Apr 15 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080415.1mdv2009.0
+ Revision: 193605
- new snapshot

* Sat Feb 23 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080223.1mdv2008.1
+ Revision: 174091
- new snapshot

* Tue Feb 05 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080205.1mdv2008.1
+ Revision: 162738
- new snapshot

* Sun Jan 20 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080120.1mdv2008.1
+ Revision: 155158
- new snapshot

* Fri Jan 11 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080111.1mdv2008.1
+ Revision: 148729
- new snapshot

* Wed Jan 02 2008 Anssi Hannula <anssi@mandriva.org> 0-0.20080102.1mdv2008.1
+ Revision: 140292
- new snapshot

* Tue Dec 25 2007 Anssi Hannula <anssi@mandriva.org> 0-0.20071224.1mdv2008.1
+ Revision: 137627
- initial Mandriva release

